summaryrefslogtreecommitdiffstats
path: root/tests/integration/feeds.bats
diff options
context:
space:
mode:
authornextcloud486153 <78801830+nextcloud486153@users.noreply.github.com>2022-04-18 11:59:02 +0200
committerBenjamin Brahmer <info@b-brahmer.de>2022-04-18 13:16:01 +0200
commit032d48ad7b180c80344a8fe64b2f9bfc81cef7b1 (patch)
treed8b7232194262b5b0fe1f326e99621aa1e36ec33 /tests/integration/feeds.bats
parent78c723f38acc16ac78ba6425ca0acfb2d432baf7 (diff)
Fix malformed feeds (without GUIDs) stopping the update process (fixes #1738)
Signed-off-by: nextcloud486153 <78801830+nextcloud486153@users.noreply.github.com>
Diffstat (limited to 'tests/integration/feeds.bats')
-rw-r--r--tests/integration/feeds.bats11
1 files changed, 11 insertions, 0 deletions
diff --git a/tests/integration/feeds.bats b/tests/integration/feeds.bats
index 1e60b5552..5ad52dc30 100644
--- a/tests/integration/feeds.bats
+++ b/tests/integration/feeds.bats
@@ -22,6 +22,17 @@ teardown() {
fi
}
+@test "[$TESTSUITE] Add feed without GUIDs" {
+ run ./occ news:feed:add "$user" "$NO_GUID_FEED"
+ [ "$status" -ne 0 ]
+
+ if ! echo "$output" | grep "No parser can handle this stream"; then
+ ret_status=$?
+ echo "Malformed feed exception wasn't properly caught"
+ return $ret_status
+ fi
+}
+
@test "[$TESTSUITE] List all" {
./occ news:feed:add "$user" "$NC_FEED" --title "Something-${BATS_SUITE_TEST_NUMBER}"